'
' Display the GPS module's raw NMEA text on the serial terminal
'
' Setup the software serial port to receive data from the GPS module
'
    Include "Amicus18.inc"                          ' Configure the compiler for a PIC18F25K20 at 64MHz. i.e. An Amicus18 board

    Declare Serial_Baud = 9600                      ' GPS receiver baud rate
    Declare Rsin_Pin = PORTA.0                      ' From GPS receiver TX line
    Declare Rsin_Mode = True                        ' Non-Inverted serial data

'------------------------------------------------------------------------------
Main:
    While                                           ' Create an infinite loop
        WREG = RSIn                                 ' Receive a character serially from the GPS module
        HRSOut WREG                                 ' Re-transmit it to the serial terminal
    Wend                                            ' Do it forever
